BLAKE2b_ParameterBlock Struct Reference

BLAKE2b parameter block. More...

## Public Types

enum | { DigestOff = 0 , KeyOff = 1 , FanoutOff = 2 , DepthOff = 3 , LeafOff = 4 , NodeOff = 8 , NodeDepthOff = 16 , InnerOff = 17 , RfuOff = 18 , SaltOff = 32 , PersonalizationOff = 48 }

## Public Member Functions

| BLAKE2b_ParameterBlock (size_t digestSize)
| BLAKE2b_ParameterBlock (size_t digestSize, size_t keyLength, const byte *salt, size_t saltLength, const byte *personalization, size_t personalizationLength)
void | Reset (size_t digestLength=DIGESTSIZE, size_t keyLength=0)
byte * | data ()
const byte * | data () const
size_t | size () const
byte * | salt ()
byte * | personalization ()

## Public Attributes

FixedSizeAlignedSecBlock< byte, 64, true > | m_data

## Static Public Attributes

static const int | SALTSIZE = BLAKE2b_Info::SALTSIZE
static const int | DIGESTSIZE = BLAKE2b_Info::DIGESTSIZE
static const int | PERSONALIZATIONSIZE = BLAKE2b_Info::PERSONALIZATIONSIZE

## Detailed Description

BLAKE2b parameter block.

Definition at line 111 of file blake2.h.

The documentation for this struct was generated from the following files:

- blake2.h
- blake2.cpp